## octave-communications 1.0.6

=== DESCRIPTION ===
Name: Communications
Version: 1.0.6
Date: 2008-04-29
Author: David Bateman
Maintainer: David Bateman
Title: Communications.
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (> 2.9.14), signal (>= 1.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-communications 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Communications
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.9
+Date: 2009-05-03
 Author: David Bateman
 Maintainer: David Bateman
 Title: Communications.

=== src/Makefile ===
sinclude Makeconf

GALOISTARGET = gf.oct
GALOISSOURCES = galois.cc galois-def.cc galoisfield.cc gf.cc \
	      op-gm-gm.cc op-gm-m.cc op-gm-s.cc op-m-gm.cc op-s-gm.cc \
	      ov-galois.cc 
GALOISOBJECTS = $(patsubst %.cc,%.o,$(GALOISSOURCES))

GALOISDEPENDS = $(patsubst %.cc,%.d,$(GALOISSOURCES))
OTHERSOURCES = primpoly.cc isprimitive.cc __errcore__.cc cyclpoly.cc \
                    cyclgen.cc syndtable.cc __gfweight__.cc genqamdemod.cc
OTHERTARGETS = $(patsubst %.cc,%.oct,$(OTHERSOURCES))
OTHEROBJECTS = $(patsubst %.cc,%.o,$(OTHERSOURCES))
OTHERDEPENDS = $(patsubst %.cc,%.d,$(OTHERSOURCES))

TARGETS = $(GALOISTARGET) $(OTHERTARGETS)
SOURCES = $(GALOISSOURCES) $(OTHERSOURCES)
OBJECTS = $(GALOISOBJECTS) $(OTHEROBJECTS)
ifeq ($(MAKECMDGOALS),all)
DEPENDS = $(GALOISDEPENDS) $(OTHERDEPENDS)
endif
ifeq ($(MAKECMDGOALS),)
DEPENDS = $(GALOISDEPENDS) $(OTHERDEPENDS)
endif

DELETES = $(OBJECTS) $(GALOISDEPENDS) $(OTHERDEPENDS) *~ $(TARGETS) core octave-core

DEFINES = -DGALOIS_DISP_PRIVATES
MOFLAGS =

.PHONY: all dist clean realclean count
.SUFFIXES:

all : $(DEPENDS) $(OTHERTARGETS) $(GALOISTARGET)

install :
	@$(INSTALL) -d $(DESTDIR)$(MPATH)/comm

$(GALOISTARGET) : $(DEPENDS) $(GALOISOBJECTS) 
	@echo "Linking $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(GALOISOBJECTS) -o $@

ifneq (,$(DEPENDS))
  sinclude $(DEPENDS)
endif

%.oct : %.d %.o
	@echo "Linking $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(@:.oct=.o) -o $@

%.d: %.cc
	@echo "Depending $<"; \
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -M $<

%.o:%.cc
	@echo "Compiling $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -c $< 

clean:
	@echo "Cleaning..."; \
	$(RM) -f $(DELETES)

realclean:
	@echo "Cleaning..."; \
	$(RM) -f $(DELETES) Makeconf config.log config.status

dist:

count:
	wc *{.cc,.h,.m,.txi}

## octave-communications 1.0.10

=== DESCRIPTION ===
Name: Communications
Version: 1.0.10
Date: 2009-05-14
Author: David Bateman
Maintainer: David Bateman
Title: Communications.
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (> 3.1.54), signal (>= 1.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== debian/changelog ===
octave-communications (1.0.10-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571842)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Fix homepage URL (closes: #600480)
  * Switch to dpkg-source 3.0 (quilt) format
  * Don't include the -1 revision in the dependency on octave-signal
    introduced in 1.0.10-1; this makes Lintian happy.
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Thomas Weber <tweber@debian.org>  Mon, 21 Feb 2011 22:22:11 +0100

octave-communications (1.0.10-2) unstable; urgency=low

  * Build against hdf5 (1.8.4) (closes: #570020)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 18 Feb 2010 23:40:36 +0100

octave-communications (1.0.10-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-signal to (>= 1.0.10-1), to get the version for
    Octave 3.2
  * Remove patch: call-mlock-with-arg.diff, it was only necessary for
    octave3.0
  * debian/rules: Drop code for changing permissions of files (applied
    upstream)
  * debian/control: Fix typo
  * Install PDF documentation via octave-communications-common.docs and remove
    the code for deleting unnecessary files from debian/rules.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 15 Nov 2009 17:02:27 +0100

octave-communications (1.0.9-2) unstable; urgency=low

  * debian/rules (install/octave-communications): Do the transfer of files
    for the -common package in this rule, otherwise the arch-independent
    files end up in the wrong place for binary-only builds
  * debian/control: Make octave-communications-common conflict with
    versions of octave-communications strictly inferior to 1.0.9-1

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Jun 2009 18:10:56 +0200

octave-communications (1.0.9-1) unstable; urgency=low

  * New upstream release
  * Put the architecture independent files *.m into the separate
    octave-communications-common package.  This is required by Policy.
  * debian/patches/call-mlock-with-arg.diff: Add patch for making the
    package compile against Octave 3.0.5
  * debian/rules:
    + Include patchsys-quilt.mk
    + Fix permission of some installed *.m scripts
    + Remove unneeded documentation sources from /usr/share/doc
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 11:40:07 +0200

octave-communications (1.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 29 Mar 2009 00:05:09 +0100

octave-communications (1.0.8-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * debian/control:
    - Add octave-signal to build-depends, it's needed for some tests
    - Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
      version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 30 Nov 2008 21:14:49 +0100

octave-communications (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version.

  [ Rafael Laboissiere ]
  * The source files comms.texi and comms.txi of the PDF documentation
    distributed with the package are now included in the upstream tarball.
    This makes the package DFSG-compliant (really, closes: #468497)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 11:49:10 +0000

octave-communications (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468497)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Fri, 14 Nov 2007 23:54:34 +0100

=== debian/control ===
Source: octave-communications
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-signal (>=1.0.10),
 octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/communications
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-communications.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-communications.git

Package: octave-communications
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends},
 octave-signal (>=1.0.10-1), octave-communications-common (>=1.0.10-1)
Description: communications package for Octave
 This package provides functions for Octave, a numerical computation
 software, to perform error analysis on communication signals,
 convert between analog and digital signals, and many more functions
 pertaining to signal analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.

Package: octave-communications-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: octave-communications (<< 1.0.9-1)
Description: communications package for Octave (arch-indep files)
 This package provides functions for Octave, a numerical computation
 software, to perform error analysis on communication signals,
 convert between analog and digital signals, and many more functions
 pertaining to signal analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package contains the architecture-independent files for the
 octave-communications package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = communications
archshr = $(CURDIR)/debian/octave-$(pkg)/usr/share
indepshr = $(CURDIR)/debian/octave-$(pkg)-common/usr/share

DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)

install/octave-$(pkg)-common:: install/octave-$(pkg)

install/octave-$(pkg)::
	# Move the architecture independent files into the appropriate
	# package
	mkdir -p $(indepshr)
	mv $(archshr)/octave $(indepshr)

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/communications-([\d.]+)\.tar\.gz\?download

## octave-communications 1.1.0

=== DESCRIPTION ===
Name: Communications
Version: 1.1.0
Date: 2011-10-09
Author: David Bateman <adb014@gmail.com>
Maintainer: David Bateman <adb014@gmail.com>
Title: Communications.
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (>= 3.4), signal (>= 1.0.0), image
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== Makefile ===
sinclude ../../Makeconf


PKG_FILES = COPYING DESCRIPTION INDEX $(wildcard src/*) \
	$(wildcard inst/*) doc/comms.pdf doc/comms.texi doc/comms.txi
SUBDIRS = doc/

.PHONY: $(SUBDIRS)

pre-pkg::
	@for _dir in $(SUBDIRS); do \
	  $(MAKE) -C $$_dir all; \
	done

clean:
	@for _dir in $(SUBDIRS); do \
	  $(MAKE) -C $$_dir $(MAKECMDGOALS); \
	done

=== doc/Makefile ===
sinclude ../../../Makeconf

# Fill in the variables as it makes testing the package manager easier
ifeq ($(MKDOC),)
MKDOC = ../../../admin/mkdoc
MKTEXI = ../../../admin/mktexi
MAKEINFO = makeinfo --no-split
TEXI2DVI = texi2dvi --clean
DVIPS = dvips
LN_S = ln -s
endif

INFODOC = comms.info
PSDOC = $(patsubst %.info,%.ps,$(INFODOC))
PDFDOC = $(patsubst %.info,%.pdf,$(INFODOC))
HTMLDOC = $(patsubst %.info,%.html,$(INFODOC))
TEXIDOC = $(patsubst %.info,%.texi,$(INFODOC))
DOCS = $(INFODOC) $(PDFDOC)  
DOCSTRINGS = DOCSTRINGS
INDEX = ../INDEX
TMPDELETES = *.log *.dvi $(DOCSTRINGS) $(TEXIDOC) *~
DELETES = $(TMPDELETES) *.ps *.texi *.info $(DOCS) *.html comms/ html/

all : $(PDFDOC) $(HTMLDOC) ../inst/doc.info

../inst/doc.info : $(INFODOC)
	cp -f $(INFODOC) ../inst/doc.info

%.dvi : %.texi
	@if test "x$(TEXI2DVI)" != "x"; then \
	  echo "Making dvi $@"; \
	  TEXINPUTS="./:../../..:$(TEXINPUTS):"; \
          export TEXINPUTS; \
	  $(TEXI2DVI) $< ; \
	fi

%.ps : %.dvi 
	@if test "x$(TEXI2DVI)" != "x" && test "x$(DVIPS)" != "x"; then \
	  echo "Making postscript $@"; \
	  $(DVIPS) -o $@ $< ; \
	fi

ifeq (,$(TEXI2PDF))
%.pdf : %.dvi
	@if test "x$(TEXI2DVI)" != "x" && test "x$(DVIPDF)" != "x"; then \
	  echo "Making pdf $@"; \
	  $(DVIPDF) $< ; \
	fi
else
%.pdf : %.texi
	@if test "x$(TEXI2PDF)" != "x"; then \
	  echo "Making pdf $@"; \
	  TEXINPUTS="./:../../..:$(TEXINPUTS):"; \
          export TEXINPUTS; \
	  $(TEXI2PDF) $< ; \
	fi
endif

%.info : %.texi
	@if test "x$(MAKEINFO)" != "x"; then \
	  echo "Making info $@"; \
	  $(MAKEINFO) -I./ -I../../../ $< ; \
	fi

# Need a stupid copy of the TOC for older texi2html versions
# Newer texi2html place documentation in a sub-directory
%.html : %.texi
	@if test "x$(TEXI2HTML)" != "x"; then \
	  echo "Making html $@"; \
	  $(TEXI2HTML) -I . -I ../../.. --iftex --subdir=./ -expandinfo $< ; \
	  if test ! -e "$(@:.html=_toc.html)"; then \
	    if test ! -e "comms/$@"; then \
	      $(INSTALL_DATA) comms/$(@:.html=_toc.html) comms/$@ ; \
	    fi; \
	    if [ ! -e "comms/index.html" ]; then \
	      $(LN_S) $@ comms/index.html; \
	    fi; \
	    mv comms html; \
	    $(INSTALL_DATA) *.png html; \
	  else \
	    if test ! -e "$@"; then \
	      $(INSTALL_DATA) $(@:.html=_toc.html) $@ ; \
	    fi; \
	    if [ ! -e "html/" ]; then \
	      mkdir html; \
	    fi; \
	    $(INSTALL_DATA) *.png *.html html; \
	    if [ ! -e "html/index.html" ]; then \
	      $(LN_S) $@ html/index.html; \
	    fi \
	  fi \
	fi

.PRECIOUS: %.texi
%.texi : %.txi
	@echo "Making texinfo $@"; \
	$(RM) -f $(DOCSTRINGS); \
	$(MKDOC) ../ > $(DOCSTRINGS); \
	$(MKTEXI) $< $(DOCSTRINGS) $(INDEX) > $@ ; \
	$(RM) -f $(DOCSTRINGS);

clean:
	@echo "Cleaning..."; \
	$(RM) -fr $(DELETES)

dist: all

count:
	wc *.txi

=== debian/changelog ===
octave-communications (1.1.0-2) unstable; urgency=low

  * Add missing build-dependency on ghostscript

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 20 Mar 2012 21:34:21 +0100

octave-communications (1.1.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.0
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Bump to Standards-Version 3.9.3, no changes needed
  * Add Sébastien Villemot to the list of Uploaders
  * Add patch for avoiding name clash with LU class (taken from upstream SVN)
  * Add patch for fixing the test of huffmandict (taken from upstream SVN)
  * Add patch for setting the direntry of the info documentation
  * Build and install the PDF and info forms of documentation
  * Drop the build-dependency on octave-signal
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Mon, 19 Mar 2012 18:01:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-signal (>=1.0.10),
- octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive, 
+ texlive-generic-recommended, ghostscript
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/communications
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-communications.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-communications.git
 
 Package: octave-communications
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends},
- octave-signal (>=1.0.10-1), octave-communications-common (>=1.0.10-1)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ octave-communications-common (= ${source:Version})
 Description: communications package for Octave
  This package provides functions for Octave, a numerical computation
  software, to perform error analysis on communication signals,
@@ -25,7 +26,7 @@
 
 Package: octave-communications-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${octave:Depends}
 Conflicts: octave-communications (<< 1.0.9-1)
 Description: communications package for Octave (arch-indep files)
  This package provides functions for Octave, a numerical computation

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)
 
+build/octave-$(pkg)::
+	chmod +x doc/mkdoc doc/mktexi
+	make -C doc comms.pdf comms.info
+
 install/octave-$(pkg)-common:: install/octave-$(pkg)
 
 install/octave-$(pkg)::
@@ -16,3 +20,8 @@
 	# package
 	mkdir -p $(indepshr)
 	mv $(archshr)/octave $(indepshr)
+	# Fix wrong permission of a file in the upstream tarball
+	chmod -x $$(find $(indepshr) -name fft.m)
+
+clean::
+	make -C doc clean

## octave-communications 1.1.1

=== DESCRIPTION ===
Name: Communications
Version: 1.1.1
Date: 2012-05-12
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Communications.
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (>= 3.4), signal (>= 1.1.3)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
sinclude Makeconf

HDF5_LIBS := $(shell  grep "\#define OCTAVE_CONF_HDF5_LIBS"  $(shell  $(MKOCTFILE) -p OCTINCLUDEDIR)/oct-conf.h | sed 's/^.*LIBS //;s/"//g'  )

GALOISTARGET = gf.oct
GALOISSOURCES = galois.cc galois-def.cc galoisfield.cc gf.cc \
	      op-gm-gm.cc op-gm-m.cc op-gm-s.cc op-m-gm.cc op-s-gm.cc \
	      ov-galois.cc 
GALOISOBJECTS = $(patsubst %.cc,%.o,$(GALOISSOURCES))
GALOISHEADERS = galois.h galois-def.h galois-ops.h galoisfield.h ov-galois.h

OTHERSOURCES = primpoly.cc isprimitive.cc __errcore__.cc cyclpoly.cc \
                    cyclgen.cc syndtable.cc __gfweight__.cc genqamdemod.cc
OTHERTARGETS = $(patsubst %.cc,%.oct,$(OTHERSOURCES))

DEFINES = -DGALOIS_DISP_PRIVATES
MOFLAGS =

.PHONY: all dist clean realclean count
.SUFFIXES:

all : $(OTHERTARGETS) $(GALOISTARGET)

install :
	@$(INSTALL) -d $(DESTDIR)$(MPATH)/comm

$(GALOISTARGET) : $(GALOISOBJECTS) 
	$(MKOCTFILE) $(MOFLAGS) $(GALOISOBJECTS) -o $@ $(HDF5_LIBS)

$(GALOISOBJECTS): $(GALOISHEADERS)

%.o:%.cc
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -c $< 

clean:
	$(RM) -f *.oct *.o core octave-core *~

realclean: clean
	$(RM) -f Makeconf config.log config.status

dist:

count:
	wc *{.cc,.h,.m,.txi}

=== debian/changelog ===
octave-communications (1.1.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.1
  * LU-class-name-clash.patch: remove patch, applied upstream
  * fix-huffmandict-test.patch: remove patch, applied upstream
  * autoload-yes.patch: new patch
  * oct2dec.patch: new patch
  * Build-Depends on octave-signal
  * debian/copyright: reflect upstream changes
  * debian/rules: remove obsolete hack for wrong permission in upstream tarball
  * Replace versioned Conflicts by Breaks+Replaces to make lintian happy
  * Add lintian overrides for false positives on hardening build flags

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 21 May 2012 09:01:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive, 
- texlive-generic-recommended, ghostscript
+ texlive-generic-recommended, ghostscript, octave-signal (>= 1.1.3)
 Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/communications
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-communications.git
@@ -27,7 +27,8 @@
 Package: octave-communications-common
 Architecture: all
 Depends: ${misc:Depends}, ${octave:Depends}
-Conflicts: octave-communications (<< 1.0.9-1)
+Breaks: octave-communications (<< 1.0.9-1)
+Replaces: octave-communications (<< 1.0.9-1)
 Description: communications package for Octave (arch-indep files)
  This package provides functions for Octave, a numerical computation
  software, to perform error analysis on communication signals,

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,6 @@
 	# package
 	mkdir -p $(indepshr)
 	mv $(archshr)/octave $(indepshr)
-	# Fix wrong permission of a file in the upstream tarball
-	chmod -x $$(find $(indepshr) -name fft.m)
 
 clean::
 	make -C doc clean

## octave-communications 1.2.0

=== DESCRIPTION ===
Name: Communications
Version: 1.2.0
Date: 2013-11-25
Author: various authors
Maintainer: Mike Miller <mtmiller@ieee.org>
Title: Communications
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (>= 3.4), signal (>= 1.1.3)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== doc/Makefile ===
DVIPS = dvips
LN_S = ln -s
MAKEINFO = makeinfo
OCTAVE = octave
PERL = perl
TEXI2DVI = texi2dvi
TEXI2HTML = makeinfo --html
TEXI2PDF = texi2pdf

INFODOC = comms.info
DVIDOC = $(patsubst %.info,%.dvi,$(INFODOC))
PSDOC = $(patsubst %.info,%.ps,$(INFODOC))
PDFDOC = $(patsubst %.info,%.pdf,$(INFODOC))
HTMLDOC = $(patsubst %.info,%.html,$(INFODOC))
TEXIDOC = $(patsubst %.info,%.texi,$(INFODOC))
DOCSTRINGS = DOCSTRINGS
INDEX = ../INDEX

all: info
info: $(INFODOC)
dvi: $(DVIDOC)
html: $(HTMLDOC)
pdf: $(PDFDOC)
ps: $(PSDOC)

%.dvi: %.texi
	$(TEXI2DVI) --clean -o $@ $<

%.info: %.texi
	$(MAKEINFO) --no-split -o $@ $<

%.pdf: %.texi
	$(TEXI2PDF) --clean -o $@ $<

%.ps: %.dvi
	$(DVIPS) -o $@ $<

%.html: %.texi
	rm -rf $(@:.html=.htp)
	if $(TEXI2HTML) -o $(@:.html=.htp) $<; then \
	  rm -rf $@ && mv $(@:.html=.htp) $@; \
	else \
	  rm -rf $(@:.html=.htp); exit 1; \
	fi

.PRECIOUS: %.texi
%.texi : %.txi
	@echo "Making texinfo $@"; \
	$(RM) -f $(DOCSTRINGS); \
	$(PERL) ./mkdoc.pl ../ > $(DOCSTRINGS); \
	$(PERL) ./mktexi.pl $< $(DOCSTRINGS) $(INDEX) > $@ ; \
	$(RM) -f $(DOCSTRINGS);

# Auxiliary make file defines build rules for generated images for the manual
-include images.mk
images.mk: images.sh
	$(SHELL) $< > $@

$(DVIDOC): $(IMAGES_EPS)
$(PDFDOC): $(IMAGES_PDF)

HTMLDIR_IMAGES = $(addprefix $(HTMLDOC)/,$(IMAGES_PNG))
$(HTMLDIR_IMAGES): $(IMAGES_PNG) | $(HTMLDOC)
	cp $(@F) $@

html: $(HTMLDIR_IMAGES)

# The images included in the HTML manual must be present before the makeinfo
# command is invoked or it will fall back on incorrect file names.
$(HTMLDOC): $(IMAGES_PNG)

# The texi2dvi script (used to create both PDF and DVI output formats)
# uses some fixed temporary file names.  In order to avoid a race condition
# the DVI and PDF builds are forced to run serially through a Makefile rule.
$(PDFDOC): $(DVIDOC)

clean:
	rm -rf comms.t2d comms.t2p

maintainer-clean: clean
	rm -rf *.dvi *.eps *.html *.info *.pdf *.ps *.png *.texi

.PHONY: all clean dvi html info maintainer-clean pdf ps

=== src/Makefile ===
MKOCTFILE ?= mkoctfile

## Quote filename to prevent backslashes in Windows file names from
## disappearing.
HDF5_LIBS := $(shell grep "\#define OCTAVE_CONF_HDF5_LIBS" '$(shell $(MKOCTFILE) -p OCTINCLUDEDIR)/oct-conf.h' | sed 's/^.*LIBS //;s/"//g')

GALOISTARGET = gf.oct
GALOISSOURCES = galois.cc galois-def.cc galoisfield.cc gf.cc \
	      op-gm-gm.cc op-gm-m.cc op-gm-s.cc op-m-gm.cc op-s-gm.cc \
	      ov-galois.cc
GALOISOBJECTS = $(patsubst %.cc,%.o,$(GALOISSOURCES))
GALOISHEADERS = galois.h galois-def.h galois-ops.h galoisfield.h ov-galois.h

OTHERSOURCES = primpoly.cc isprimitive.cc __errcore__.cc cyclpoly.cc \
                    cyclgen.cc syndtable.cc __gfweight__.cc genqamdemod.cc
OTHERTARGETS = $(patsubst %.cc,%.oct,$(OTHERSOURCES))

DEFINES = -DGALOIS_DISP_PRIVATES

.PHONY: all clean
.SUFFIXES:

all: $(GALOISTARGET) $(OTHERTARGETS)

$(GALOISTARGET): $(GALOISOBJECTS)
	$(MKOCTFILE) -o $@ $^ $(HDF5_LIBS)

$(GALOISOBJECTS): $(GALOISHEADERS)

%.o: %.cc
	$(MKOCTFILE) $(DEFINES) -c $<

%.oct: %.cc
	$(MKOCTFILE) $<

clean:
	rm -f *.oct *.o core octave-core *~

=== debian/changelog ===
octave-communications (1.2.0-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:58 +0000

octave-communications (1.2.0-1) unstable; urgency=low

  * Imported Upstream version 1.2.0
  * Bump to Standards-Version 3.9.5, no changes needed
  * Dropped patches (applied upstream):
    - oct2dec.patch
    - build-documentation.patch
    - avoid-makeinfo-section-raising-error.patch
  * Refreshed patches
  * Update copyright information

 -- Thomas Weber <tweber@debian.org>  Mon, 02 Dec 2013 00:03:59 +0100

octave-communications (1.1.1-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * avoid-makeinfo-section-raising-error.patch: new patch, fixes FTBFS
  * Remove obsolete DM-Upload-Allowed flag
  * Bump to Standards-Version 3.9.4, no changes needed
  * debian/copyright: Use octave-maintainers mailing list as upstream contact

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Sébastien Villemot ]
  * Use my @debian.org email address

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 12 Jun 2013 10:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive, 
- texlive-generic-recommended, ghostscript, octave-signal (>= 1.1.3)
-Standards-Version: 3.9.3
+ texlive-generic-recommended, ghostscript, octave-signal (>= 1.1.3), gnuplot
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/communications
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-communications.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-communications.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-communications.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-communications.git
 
 Package: octave-communications
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)
 
 build/octave-$(pkg)::
-	chmod +x doc/mkdoc doc/mktexi
 	make -C doc comms.pdf comms.info
 
 install/octave-$(pkg)-common:: install/octave-$(pkg)

=== debian/watch ===
version=3
http://sf.net/octave/communications-(.+)\.tar\.gz

## octave-communications 1.2.1

=== debian/changelog ===
octave-communications (1.2.1-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:27:16 -0200

octave-communications (1.2.1-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Add Testsuite field
    + Build-depend on gnuplot-nox, instead of gnuplot
    + Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:13 -0200

octave-communications (1.2.1-3) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * d/p/octave-4.2.patch: new patch, fixes FTBFS against Octave 4.2.
    (Closes: #867014)
  * d/copyright: use secure URL for format.
  * Bump to debhelper compat level 10.
  * d/watch: bump to format version 4.
  * d/rules: add support for "nodoc" flag of DEB_BUILD_OPTIONS.
  * d/control:
    + Drop unneeded versioned dependencies.
    + Bump to Standards-Version 4.0.0.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 03 Jul 2017 15:41:37 +0200

octave-communications (1.2.1-2) unstable; urgency=medium

  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)
  * Reproducible build
    + d/rules: Set SOURCE_DATE_EPOCH envvar, for
    + d/p/random-seed-for-pdf-doc.patch: New patch
    + d/rules: Avoid non-deterministic tempfile names in PDF files
  * Clean files explicitly
    + d/rules: Drop the clean target
    + d/clean: Add file

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 28 Jul 2016 18:25:02 -0300

octave-communications (1.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.1
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/control: Bump Standards-Version to 3.9.6 (no changes needed)

  [ Sébastien Villemot ]
  * d/p/hdf5-ldflags.patch: drop patch, no longer needed.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Jul 2015 10:22:27 +0200

octave-communications (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Uploaders: set as Rafael Laboissiere and Mike Miller.
  * hdf5-ldflags.patch: new patch, inject HDF5 LDFLAGS in the build.
    Needed for the new HDF5 1.8.13 layout. (Closes: #758733)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Aug 2014 22:10:44 +0200

=== debian/control ===
Source: octave-communications
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>,
           Mike Miller <mtmiller@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-octave,
               texlive,
               texlive-generic-recommended,
               ghostscript,
               octave-signal,
               gnuplot-nox
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
Homepage: http://octave.sourceforge.net/communications
Testsuite: autopkgtest-pkg-octave

Package: octave-communications
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         octave-communications-common (= ${source:Version})
Description: communications package for Octave
 This package provides functions for Octave, a numerical computation
 software, to perform error analysis on communication signals,
 convert between analog and digital signals, and many more functions
 pertaining to signal analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.

Package: octave-communications-common
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends}
Breaks: octave-communications (<< 1.0.9-1)
Replaces: octave-communications (<< 1.0.9-1)
Description: communications package for Octave (arch-indep files)
 This package provides functions for Octave, a numerical computation
 software, to perform error analysis on communication signals,
 convert between analog and digital signals, and many more functions
 pertaining to signal analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package contains the architecture-independent files for the
 octave-communications package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
export SOURCE_DATE_EPOCH

%:
	dh $@ --buildsystem=octave --with=octave


pkg = communications
archshr = $(CURDIR)/debian/octave-$(pkg)/usr/share
indepshr = $(CURDIR)/debian/octave-$(pkg)-common/usr/share

DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	for i in awgn.pdf eyediagram.pdf scatterplot.pdf ; do		\
	    make -C doc $$i ;						\
	    sed -i -e 's|/tmp/oct-.......eps|/tmp/oct.eps|' doc/$$i ;	\
	done
	make -C doc comms.pdf comms.info
endif

override_dh_auto_install:
	dh_auto_install
	# Move the architecture independent files into the appropriate
	# package
	mkdir -p $(indepshr)
	mv $(archshr)/octave $(indepshr)

## octave-communications 1.2.2

=== DESCRIPTION ===
Name: communications
Version: 1.2.2
Date: 2019-12-22
Author: various authors
Maintainer: Nir Krakauer <mail@nirkrakauer.net>
Title: Communications
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (>= 4.4), signal (>= 1.1.3)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-communications (1.2.2-4) unstable; urgency=medium

  * Team upload
  * Add epstool to Build-Depends (Closes: #977013)
  * Bump S-V to 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Dec 2020 10:42:14 +0100

octave-communications (1.2.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-communications: Add Multi-Arch: same.

  [ Rafael Laboissière ]
  * d/p/info-dir-section.patch: Set Forwarded not-needed

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 18:35:34 -0300

octave-communications (1.2.2-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.0.5-1.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Jul 2020 06:52:43 -0300

octave-communications (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * d/p/octave-4.4.patch: Drop patch (applied upstream)
  * d/p/depends-on-statistics.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes
  * d/control: Add pkg-config to the list of build-dependencies
  * d/clean:
    + Avoid deletion of file src/config.h.in
    + Delete file src/oct-alt-includes.h

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Jan 2020 03:23:51 -0300

octave-communications (1.2.1-9) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 02 Nov 2019 12:29:41 -0300

octave-communications (1.2.1-8) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.0.
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 01 Nov 2019 05:56:49 -0300

octave-communications (1.2.1-7) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Build depend on texlive-plain-generic
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:54:13 -0200

octave-communications (1.2.1-6) unstable; urgency=medium

  * Team upload

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * octave-4.2.patch renamed to octave-4.4.patch, with more fixes for 4.4
  * Add dependency on octave-statistics
    qfuncinv() uses norminv(). This function is no longer in Octave core
    since 4.4, and has moved to the statistics package.
    + depends-on-statistics.patch: new patch
    + d/control: add B-D on octave-statistics

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Jun 2018 11:22:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,32 @@
 Source: octave-communications
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>,
+Uploaders: Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-octave,
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
+               ghostscript,
+               gnuplot-nox,
+               octave-signal,
+               octave-statistics,
+               pkg-config,
                texlive,
-               texlive-generic-recommended,
-               ghostscript,
-               octave-signal,
-               gnuplot-nox
-Standards-Version: 4.1.3
+               texlive-plain-generic,
+               epstool
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
-Homepage: http://octave.sourceforge.net/communications
+Homepage: https://octave.sourceforge.io/communications/
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-communications
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          octave-communications-common (= ${source:Version})
+Multi-Arch: same
 Description: communications package for Octave
  This package provides functions for Octave, a numerical computation
  software, to perform error analysis on communication signals,

## octave-communications 1.2.4

=== debian/changelog ===
octave-communications (1.2.4-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 1.2.4
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

  [ Sébastien Villemot ]
  * Drop extra dependency on octave-statistics.
    The underlying bug has been fixed in upstream version 1.2.2.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 24 Jan 2022 01:31:44 -0300

octave-communications (1.2.3-2) unstable; urgency=medium

  * Upload to unstable
  * d/rules: Use target execute_after_dh_auto_install instead of
    override_dh_auto_install

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 15:50:43 -0300

octave-communications (1.2.3-1) experimental; urgency=medium

  * New upstream version 1.2.3
  * d/clean: Remove files src/*.cc-tst
  * d/copyright: Reflect upstream changes
  * d/control: Set "Multi-Arch: foreign" for package
    octave-communications-common

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 Apr 2021 08:53:34 -0300

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
                ghostscript,
                gnuplot-nox,
                octave-signal,
-               octave-statistics,
                pkg-config,
                texlive,
                texlive-plain-generic,
                epstool
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
 Homepage: https://octave.sourceforge.io/communications/
@@ -41,6 +40,7 @@
          ${octave:Depends}
 Breaks: octave-communications (<< 1.0.9-1)
 Replaces: octave-communications (<< 1.0.9-1)
+Multi-Arch: foreign
 Description: communications package for Octave (arch-indep files)
  This package provides functions for Octave, a numerical computation
  software, to perform error analysis on communication signals,

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,7 @@
 	make -C doc comms.pdf comms.info
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# Move the architecture independent files into the appropriate
 	# package
 	mkdir -p $(indepshr)

=== debian/watch ===
version=4
http://sf.net/octave/communications-(.+)\.tar\.gz

## octave-communications 1.2.6

=== doc/Makefile ===
--- 
+++ 
@@ -79,5 +79,6 @@
 
 maintainer-clean: clean
 	rm -rf *.dvi *.eps *.html *.info *.pdf *.ps *.png *.texi
+	rm -f images.mk
 
 .PHONY: all clean dvi html info maintainer-clean pdf ps

=== debian/changelog ===
octave-communications (1.2.6-2build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 19:56:33 +0000

octave-communications (1.2.6-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 06:26:43 -0300

octave-communications (1.2.6-1) experimental; urgency=medium

  * New upstream version 1.2.6
  * d/copyright: Reflect upstream changes
  * d/p/random-seed-for-pdf-doc.patch: Refresh for new upstream version
  * d/control:
    + Update Homepage
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * Update upstream information
    + d/control: Remove option upstream-related fields from header
    + d/u/metadata: Add Name, Contact, Changelog, and Repository fields

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 May 2023 07:13:50 -0300

octave-communications (1.2.4-4) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning debian-watch-lacks-sourceforge-redirector
  * d/control: Drop build-dependency on ghostscript

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 05:37:51 -0300

octave-communications (1.2.4-3) unstable; urgency=medium

  * No need for cleaning *-tst files
    + d/clean: Drop line with src/*.cc-tst
  * d/autoreconf: New file
  * Proper cleaning of upstream files after building
    + d/clean: Drop obsolete file
    + d/rules: Cleanup files in the doc/ directory
  * d/control: Build-depend on dh-octave >= 1.2.3
    This version removes the files automatically generated by the
    configure script, as well as the src/*-tst files.

 -- Rafael Laboissière <rafael@debian.org>  Sun, 10 Jul 2022 04:32:17 -0300

octave-communications (1.2.4-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper installation of files in arch and arch-indep packages
    + d/octave-communications.install: New file
    + d/octave-communications-common.install: New file
    + d/rules: Drop useless commands in target execute_after_dh_auto_install
    (Closes: #1013604)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Jun 2022 19:14:12 -0300

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
-               ghostscript,
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                gnuplot-nox,
                octave-signal,
                pkg-config,
                texlive,
                texlive-plain-generic,
                epstool
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
-Homepage: https://octave.sourceforge.io/communications/
+Homepage: https://gnu-octave.github.io/packages/communications/
 Testsuite: autopkgtest-pkg-octave
 Rules-Requires-Root: no
 
@@ -38,8 +38,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${octave:Depends}
-Breaks: octave-communications (<< 1.0.9-1)
-Replaces: octave-communications (<< 1.0.9-1)
 Multi-Arch: foreign
 Description: communications package for Octave (arch-indep files)
  This package provides functions for Octave, a numerical computation

## octave-communications 1.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: communications
-Version: 1.2.2
-Date: 2019-12-22
+Version: 1.2.7
+Date: 2025-01-30
 Author: various authors
 Maintainer: Nir Krakauer <mail@nirkrakauer.net>
 Title: Communications

=== debian/changelog ===
octave-communications (1.2.7-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Drop superflous build-dependencies on epstool and texlive
    + Add ghostscript to Build-Depends
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides: Update override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Thu, 16 Oct 2025 10:13:54 -0300

octave-communications (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * d/copyright: Update list of Copyright years
  * d/p/pkg-config-hdf5.patch: Drop patch (applied upstream)
  * d/rules: Drop empty doc/ directory

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Feb 2025 14:06:05 -0300

octave-communications (1.2.6-3) unstable; urgency=medium

  * d/u/metadata: Update Bug-Database URL
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Build-depend on pkgconf instead of the deprecated pkg-config package
    + Resctrict build-dependencies need for building the documentation to
      the "nodoc" profile
  * d/p/pkg-config-hdf5.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 11 May 2024 18:29:58 -0300

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,17 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
                dh-sequence-octave,
-               gnuplot-nox,
+               ghostscript <!nodoc>,
+               gnuplot-nox <!nodoc>,
                octave-signal,
-               pkg-config,
-               texlive,
-               texlive-plain-generic,
-               epstool
-Standards-Version: 4.6.2
+               pkgconf,
+               texlive-plain-generic <!nodoc>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
 Homepage: https://gnu-octave.github.io/packages/communications/
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-communications
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
export SOURCE_DATE_EPOCH

%:
	dh $@ --buildsystem=octave

DEB_DH_INSTALL_SOURCEDIR = debian/octave-communications

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	for i in awgn.pdf eyediagram.pdf scatterplot.pdf ; do		\
	    make -C doc $$i ;						\
	    sed -i -e 's|/tmp/oct-.......eps|/tmp/oct.eps|' doc/$$i ;	\
	done
	make -C doc comms.pdf comms.info
endif

execute_after_dh_installdeb-indep:
	rm -rf debian/octave-communications-common/usr/share/octave/packages/communications-*/doc

execute_after_dh_clean:
	make -C doc maintainer-clean

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/communications/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/communications-(.+).tar.gz
